<?php

namespace App\Modules\Pc\Controllers;

use App\Base\BaseController;
use App\Base\Validation\Phone;
use App\Exceptions\ClientException;
use App\Models\User\User;
use App\Modules\Mini\Services\AuthService;
use App\Modules\Mini\Services\CaptchaService;
use App\Modules\Mini\Services\EmailService;
use Illuminate\Support\Facades\Auth;

class AuthController extends BaseController
{
    public function emailCaptcha()
    {
        $params = $this->valid([
            "email" => "required|email",
            "source" => "required",
        ]);

        return $this->ok(app(EmailService::class)->emailCaptcha($params['email'], $params['source']));
    }

    public function profile()
    {
        /** @var User $user */
        $user = Auth::user();
        return $this->ok([
            "id" => $user->id,
            "token" => app(AuthService::class)->encryptToken($user->id),
            "name" => $user->name,
            "avatar" => $user->avatar,
            "company" => [
                "id" => optional($user->company)->id ?? 0,
                "name" => optional($user->company)->name ?? "",
            ],
        ]);
    }


    public function resetPassword()
    {
        return $this->ok([
            "token" => "token",
            "name" => "",
            "phone" => "",
        ]);
    }
}
